io.vertx.ext.cluster.infinispan

## Interface InfinispanAsyncMap<K,V>

-     public interface InfinispanAsyncMap<K,V>

  Extensions to the generic `AsyncMap`.
  Author:
    Thomas Segismont

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReadStream<Map.Entry<K,V>>` | `entryStream()` Get the entries of the map as a `ReadStream`.
    `ReadStream<K>` | `keyStream()` Get the keys of the map as a `ReadStream`.
    `static <K,V> InfinispanAsyncMap<K,V>` | `unwrap(AsyncMap asyncMap)` Unwraps a generic `AsyncMap` to an `InfinispanAsyncMap`.
    `ReadStream<V>` | `valueStream()` Get the values of the map as a `ReadStream`.

- - ### Method Detail

    - #### unwrap

          static <K,V> InfinispanAsyncMap<K,V> unwrap(AsyncMap asyncMap)

      Unwraps a generic `AsyncMap` to an `InfinispanAsyncMap`.
      Throws:
        `IllegalArgumentException` - if underlying implementation is not Infinispan

    - #### keyStream

          ReadStream<K> keyStream()

      Get the keys of the map as a `ReadStream`.

      The stream will be automatically closed if it fails or ends. Otherwise you must set a null `data handler` after usage to avoid leaking resources.

      Returns:
        a stream of map keys

    - #### valueStream

          ReadStream<V> valueStream()

      Get the values of the map as a `ReadStream`.

      The stream will be automatically closed if it fails or ends. Otherwise you must set a null `data handler` after usage to avoid leaking resources.

      Returns:
        a stream of map values

    - #### entryStream

          ReadStream<Map.Entry<K,V>> entryStream()

      Get the entries of the map as a `ReadStream`.

      The stream will be automatically closed if it fails or ends. Otherwise you must set a null `data handler` after usage to avoid leaking resources.

      Returns:
        a stream of map entries

Copyright © 2021 Eclipse. All rights reserved.